Skip to main content
GET
/
partner
/
v1
/
webhooks
curl https://prod.api.unleeshed.ai/partner/v1/webhooks \
  -H "X-Api-Key: your_api_key"
{
  "success": true,
  "data": [
    {
      "id": "whk_abc123",
      "url": "https://your-domain.com/webhooks/unleeshed",
      "events": ["creator.approved", "partner.approved", "commentary.failed"],
      "status": "active",
      "consecutive_failures": 0,
      "last_delivery_at": "2026-02-04T12:30:00Z",
      "created_at": "2026-02-04T10:00:00Z",
      "updated_at": "2026-02-04T10:00:00Z"
    }
  ]
}
Returns all webhooks registered by your partner account.
Webhook secrets are never returned in list responses.

Response

Returns an array of webhook objects.
id
string
Unique webhook ID
url
string
The registered webhook URL
events
string[]
Subscribed event types
status
string
Webhook status: active, paused, or disabled
consecutive_failures
number
Number of consecutive delivery failures
last_delivery_at
string
Timestamp of last successful delivery
curl https://prod.api.unleeshed.ai/partner/v1/webhooks \
  -H "X-Api-Key: your_api_key"
{
  "success": true,
  "data": [
    {
      "id": "whk_abc123",
      "url": "https://your-domain.com/webhooks/unleeshed",
      "events": ["creator.approved", "partner.approved", "commentary.failed"],
      "status": "active",
      "consecutive_failures": 0,
      "last_delivery_at": "2026-02-04T12:30:00Z",
      "created_at": "2026-02-04T10:00:00Z",
      "updated_at": "2026-02-04T10:00:00Z"
    }
  ]
}